/* FONTS */

@font-face {
  font-family: 'caslonReg';
  src: url('../assets/type/LibreCaslonText-Regular.ttf');
}

@font-face {
  font-family: 'caslonBold';
  src: url('../assets/type/LibreCaslonText-Bold.ttf');
}

/* GENERALES */

* {
  border: 0;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --primary-color: rgb(16, 24, 32);
  --secondary-color: rgb(138, 80, 40);
  --third-color: rgb(196, 154, 123);
  --black: rgb(0, 0, 0);
  --white: rgb(255, 255, 255);
  --type-alfa: 'caslonReg', serif;
  --type-beta: 'caslonBold', serif;
}

::-moz-selection {
  /* Code for Firefox */
  color: var(--secondary-color);
  background: var(--third-color);
}

::selection {
  color: var(--secondary-color);
  background: var(--third-color);
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: var(--type-alfa);
  overflow-x: hidden;
  width: 100vw;
  position: relative;
  display: grid;
  place-items: center;
  min-height: 100vh;
  padding: 35px 0;
}

body::before {
  content: '';
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /* background: url('/assets/img/waves-background.webp'); */
  opacity: 0.15;
  filter: blur(6px);
  z-index: -1;
}

h1,
h2,
h3,
h4,
h5 {
  text-wrap: balance;
}

/* CONTAINER */

.container {
  width: 450px;
  max-width: 600px;
  height: 90%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  background: var(--white);
  box-shadow: 12px 12px 28px rgba(65, 65, 65, 0.14),
    -12px -12px 28px rgba(242, 242, 242, 0.75);
  border-radius: 5px;
  transition: box-shadow ease-in 0.2s;
}

.container:hover {
  box-shadow: 8px 8px 20px rgba(65, 65, 65, 0.16),
    -8px -8px 20px rgba(242, 242, 242, 0.8);
}

/* HEADER */

.header {
  /* background-color: var(--primary-color); */
  border-radius: 5px 5px 0 0;
  width: 100%;
  height: 100px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
}

.logoContainer {
  max-width: 300px;
}

.logo {
  width: 140px;
}

/* INFO */

.info {
  max-width: 640px;
  margin: 0 auto;
  flex: 1;
  display: flex;
  flex-direction: column;
  /* background-image: url('../assets/img/background-logo.svg'); */
  background-repeat: no-repeat;
  background-position: center;
  align-items: center;
  justify-content: center;
}

/* CTA BUTTONS */

.ctaButton {
  background-color: var(--white);
  color: var(--primary-color);
  font-size: 1rem;
  padding: 10px 20px;
  border-radius: 5px;
  text-decoration: none;
  text-align: center;
  margin: 30px auto;
  display: flex;
  align-items: center;
  max-width: 400px;
  width: 100%;
  height: 80px;
  cursor: pointer;
  box-shadow: 8px 8px 20px rgba(65, 65, 65, 0.1),
    -8px -8px 20px rgba(242, 242, 242, 0.7);
  transition: box-shadow 0.25s ease;
}

.ctaButton:hover {
  background-color: var(--white);
  color: var(--light);
  box-shadow: inset 6px 6px 12px rgba(65, 65, 65, 0.1),
    inset -6px -6px 12px rgba(242, 242, 242, 0.7);
  transform: translateY(0);
}

.iconoBtn {
  width: 50px;
  height: 50px;
}

.textBtn {
  margin-left: 15px;
}

@media screen and (max-width: 640px) {
  .ctaButton {
    width: 100%;
  }
  .container {
  width: 350px;
  max-width: 640px;}
}
